## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 11;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate random-trait

Name:           rust-random-trait
Version:        0.1.1
Release:        %autorelease
Summary:        Rust library for a random trait meant to produce random generic types

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/random-trait
Source0:        %{crates_source}
# https://github.com/elichai/random-rs/issues/2
Source1:        https://github.com/elichai/random-rs/raw/bd98b95/LICENSE-APACHE
Source2:        https://github.com/elichai/random-rs/raw/bd98b95/LICENSE-MIT

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Rust library for a random trait meant to produce random generic types.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE-APACHE
%license LICENSE-MIT
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+doc-comment-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+doc-comment-devel %{_description}

This package contains library source intended for building other packages which
use the "doc-comment" feature of the "%{crate}" crate.

%files       -n %{name}+doc-comment-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+u128-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+u128-devel %{_description}

This package contains library source intended for building other packages which
use the "u128" feature of the "%{crate}" crate.

%files       -n %{name}+u128-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep
cp -pav %{SOURCE1} %{SOURCE2} .

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * some tests fail on big-endian architectures:
#   https://github.com/elichai/random-rs/issues/3
%ifarch s390x
%cargo_test || :
%else
%cargo_test
%endif
%endif

%changelog
* Wed May 10 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.1-11
- Regenerate with rust2rpm v24 and include license files

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Feb 12 10:16:56 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.1.1-1
- Initial package

